path: /build/build/sniffio-dev-python-1.3.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/sniffio -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/sniffio
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sniffio && luet-portage --dir /pkgdir/sniffio
    dev-python/sniffio && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:5ffcbf43c80a51247452a7e6f14af24b47ef62a4dbdd6269f685d4a4c1cdc2b4
  package:
    name: sniffio
    version: 1.3.1+1
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race6
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Sniff out which async library your code is running under
    uri:
    - https://github.com/python-trio/sniffio https://pypi.org/project/sniffio/
    license: '|| ( Apache-2.0 MIT )'
    buildtimestamp: 2024-10-08 16:08:42.073694278 +0000 UTC m=+54.142783138
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/sniffio
      kit: python-modules-kit
      original.package.name: dev-python/sniffio
      original.package.slot: "0"
      original.package.version: 1.3.1
    treedir: /build/packages
  package_dir: /pkgdir/sniffio
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: dd34a58ff1b66db3e48d9dd53461af480b6cff70e9bc45e05747a3a798b079c8
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/sniffio/__init__.py
- usr/lib/python3.9/site-packages/sniffio/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_impl.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_impl.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_impl.cpython-39.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/sniffio/__pycache__/_version.cpython-39.pyc
- usr/lib/python3.9/site-packages/sniffio/_impl.py
- usr/lib/python3.9/site-packages/sniffio/_tests/__init__.py
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/test_sniffio.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/test_sniffio.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/__pycache__/test_sniffio.cpython-39.pyc
- usr/lib/python3.9/site-packages/sniffio/_tests/test_sniffio.py
- usr/lib/python3.9/site-packages/sniffio/_version.py
- usr/lib/python3.9/site-packages/sniffio/py.typed
- usr/lib/python3.9/site-packages/sniffio-1.3.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/sniffio-1.3.1-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/sniffio-1.3.1-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/sniffio-1.3.1-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/sniffio-1.3.1-py3.9.egg-info/top_level.txt
- usr/share/doc/sniffio-1.3.1/README.rst.bz2
- var/db/pkg/dev-python/sniffio-1.3.1/BDEPEND
- var/db/pkg/dev-python/sniffio-1.3.1/BUILD_TIME
- var/db/pkg/dev-python/sniffio-1.3.1/CATEGORY
- var/db/pkg/dev-python/sniffio-1.3.1/CBUILD
- var/db/pkg/dev-python/sniffio-1.3.1/CFLAGS
- var/db/pkg/dev-python/sniffio-1.3.1/CHOST
- var/db/pkg/dev-python/sniffio-1.3.1/CONTENTS
- var/db/pkg/dev-python/sniffio-1.3.1/COUNTER
- var/db/pkg/dev-python/sniffio-1.3.1/CTARGET
- var/db/pkg/dev-python/sniffio-1.3.1/CXX
- var/db/pkg/dev-python/sniffio-1.3.1/CXXFLAGS
- var/db/pkg/dev-python/sniffio-1.3.1/DEFINED_PHASES
- var/db/pkg/dev-python/sniffio-1.3.1/DESCRIPTION
- var/db/pkg/dev-python/sniffio-1.3.1/EAPI
- var/db/pkg/dev-python/sniffio-1.3.1/FEATURES
- var/db/pkg/dev-python/sniffio-1.3.1/HOMEPAGE
- var/db/pkg/dev-python/sniffio-1.3.1/INHERITED
- var/db/pkg/dev-python/sniffio-1.3.1/IUSE
- var/db/pkg/dev-python/sniffio-1.3.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/sniffio-1.3.1/KEYWORDS
- var/db/pkg/dev-python/sniffio-1.3.1/LDFLAGS
- var/db/pkg/dev-python/sniffio-1.3.1/LICENSE
- var/db/pkg/dev-python/sniffio-1.3.1/PF
- var/db/pkg/dev-python/sniffio-1.3.1/RDEPEND
- var/db/pkg/dev-python/sniffio-1.3.1/SIZE
- var/db/pkg/dev-python/sniffio-1.3.1/SLOT
- var/db/pkg/dev-python/sniffio-1.3.1/USE
- var/db/pkg/dev-python/sniffio-1.3.1/environment.bz2
- var/db/pkg/dev-python/sniffio-1.3.1/repository
- var/db/pkg/dev-python/sniffio-1.3.1/sniffio-1.3.1.ebuild
package_cacheimage: ""
runtime:
  name: sniffio
  version: 1.3.1+1
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Sniff out which async library your code is running under
  uri:
  - https://github.com/python-trio/sniffio https://pypi.org/project/sniffio/
  license: '|| ( Apache-2.0 MIT )'
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/sniffio
    kit: python-modules-kit
    original.package.name: dev-python/sniffio
    original.package.slot: "0"
    original.package.version: 1.3.1
